{ config, lib, pkgs, ... }:

with lib;

let cfg = config.modules.shell.direnv;
in {
  options.modules.shell.direnv = { enable = mkOption { default = false; }; };

  config = mkIf cfg.enable {
    programs.direnv = {
      enable = true;
      enableZshIntegration = true;
    };
  };
}
