{ config, lib, pkgs, ... }:

with lib;

let cfg = config.modules.rofi;
in {
  options.modules.rofi = { enable = mkOption { default = false; }; };

  config = mkIf cfg.enable {
    programs.rofi = { enable = true; };

    home.file = {
      ".config/rofi/config.rasi".source = ../../i3/rofi/config.rasi;
    };
  };
}
